## virtualbox-lts-wily 4.3.36

=== src/VBox/HostDrivers/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Drivers.
#

#
#
# Copyright (C) 2008-2011 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

ifneq ($(KBUILD_EXTMOD),)

# DKMS

obj-m = vboxdrv/
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxnetflt/Makefile),)
 obj-m += vboxnetflt/
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxnetadp/Makefile),)
 obj-m += vboxnetadp/
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxpci/Makefile),)
 obj-m += vboxpci/
endif
else # ! KBUILD_EXTMOD

# convenience Makefile without DKMS

KBUILD_VERBOSE =

all:
	@echo "*** Building 'vboxdrv' module ***"
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv
	@cp vboxdrv/vboxdrv.ko .
	@echo
	@if [ -d vboxnetflt ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetflt; \
	    fi; \
	    echo "*** Building 'vboxnetflt' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt; \
	    cp vboxnetflt/vboxnetflt.ko .; \
	    echo; \
	fi
	@if [ -d vboxnetadp ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetadp; \
	    fi; \
	    echo "*** Building 'vboxnetadp' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp; \
	    cp vboxnetadp/vboxnetadp.ko .; \
	    echo; \
	fi
	@if [ -d vboxpci ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxpci; \
	    fi; \
	    echo "*** Building 'vboxpci' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxpci; \
	    cp vboxpci/vboxpci.ko .; \
	    echo; \
	fi

install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv install
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt install; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp install; \
	fi
	@if [ -d vboxpci ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxpci install; \
	fi

clean:
	@$(MAKE) -C vboxdrv clean
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) -C vboxnetflt clean; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) -C vboxnetadp clean; \
	fi
	@if [ -d vboxpci ]; then \
	    $(MAKE) -C vboxpci clean; \
	fi
	rm -f vboxdrv.ko vboxnetflt.ko vboxnetadp.ko vboxpci.ko 

check:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv check

unload:
	@for module in vboxpci vboxnetadp vboxnetflt vboxdrv; do \
		if grep "^$$module " /proc/modules >/dev/null; then \
			echo "Removing previously installed $$module module"; \
			/sbin/rmmod $$module; \
		fi; \
	done

load: unload
	@for module in vboxdrv vboxnetflt vboxnetadp vboxpci; do \
		if test -f $$module.ko; then \
			echo "Installing $$module module"; \
			/sbin/insmod $$module.ko; \
		fi; \
	done

endif # ! KBUILD_EXTMOD

=== src/VBox/HostDrivers/VBoxNetFlt/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Network Filter Driver.
# (For 2.6.x this file must be called 'Makefile'!)
#

#
#
# Copyright (C) 2006-2011 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#
# First, figure out which architecture we're targeting and the build type.
# (We have to support basic cross building (ARCH=i386|x86_64).)
# While at it, warn about BUILD_* vars found to help with user problems.
#
ifeq ($(filter-out x86_64 amd64 AMD64,$(shell uname -m)),)
 BUILD_TARGET_ARCH_DEF := amd64
else
 BUILD_TARGET_ARCH_DEF := x86
endif
ifneq ($(filter-out amd64 x86,$(BUILD_TARGET_ARCH)),)
 $(warning Ignoring unknown BUILD_TARGET_ARCH value '$(BUILD_TARGET_ARCH)'.)
 BUILD_TARGET_ARCH :=
endif
ifeq ($(BUILD_TARGET_ARCH),)
 ifeq ($(ARCH),x86_64)
  BUILD_TARGET_ARCH := amd64
 else
  ifeq ($(ARCH),i386)
   BUILD_TARGET_ARCH := x86
  else
   BUILD_TARGET_ARCH := $(BUILD_TARGET_ARCH_DEF)
  endif
 endif
else
 ifneq ($(BUILD_TARGET_ARCH),$(BUILD_TARGET_ARCH_DEF))
  $(warning Using BUILD_TARGET_ARCH='$(BUILD_TARGET_ARCH)' from the $(origin BUILD_TARGET_ARCH).)
 endif
endif

ifneq ($(filter-out release profile debug strict,$(BUILD_TYPE)),)
 $(warning Ignoring unknown BUILD_TYPE value '$(BUILD_TYPE)'.)
 BUILD_TYPE :=
endif
ifeq ($(BUILD_TYPE),)
 BUILD_TYPE := release
else
 ifneq ($(BUILD_TYPE),release)
  $(warning Using BUILD_TYPE='$(BUILD_TYPE)' from the $(origin BUILD_TYPE).)
 endif
endif

# override is required by the Debian guys
override MODULE = vboxnetflt
OBJS   = \
	linux/VBoxNetFlt-linux.o \
	VBoxNetFlt.o \
	SUPR0IdcClient.o \
	SUPR0IdcClientComponent.o \
	linux/SUPR0IdcClient-linux.o

ifeq ($(BUILD_TARGET_ARCH),x86)
OBJS += math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
        math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif

ifneq ($(MAKECMDGOALS),clean)

ifeq ($(KERNELRELEASE),)

 #
 # building from this directory
 #

 # kernel base directory
 ifndef KERN_DIR
  # build for the current kernel, version check
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   KERN_DIR := /usr/src/linux
   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
    $(error Error: unable to find the sources of your current Linux kernel. \
	           Specify KERN_DIR=<directory> and run Make again)
   endif
   $(warning Warning: using /usr/src/linux as the source directory of your \
                      Linux kernel. If this is not correct, specify \
		      KERN_DIR=<directory> and run Make again.)
  endif
 else
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   $(error Error: KERN_DIR does not point to a directory)
  endif
 endif

 # includes
 ifndef KERN_INCL
  KERN_INCL = $(KERN_DIR)/include
 endif
 ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
  $(error Error: unable to find the include directory for your current Linux \
                 kernel. Specify KERN_INCL=<directory> and run Make again)
 endif

 # module install dir, only for current kernel
 ifneq ($(filter install install_rpm,$(MAKECMDGOALS)),)
  ifndef MODULE_DIR
   MODULE_DIR_TST := /lib/modules/$(shell uname -r)
   ifeq ($(shell if test -d $(MODULE_DIR_TST); then echo yes; fi),yes)
    MODULE_DIR := $(MODULE_DIR_TST)/misc
   else
    $(error Unable to find the folder to install the support driver to)
   endif
  endif # MODULE_DIR unspecified
 endif

else # neq($(KERNELRELEASE),)

 #
 # building from kbuild (make -C <kernel_directory> M=`pwd`)
 #

endif # neq($(KERNELRELEASE),)

# debug - show guesses.
ifdef DEBUG
$(warning dbg: KERN_DIR     = $(KERN_DIR))
$(warning dbg: KERN_INCL    = $(KERN_INCL))
$(warning dbg: MODULE_DIR   = $(MODULE_DIR))
endif

KBUILD_VERBOSE ?= 1

#
# Compiler options
#
ifndef INCL
 INCL    := $(addprefix -I,$(KERN_INCL) $(EXTRA_INCL))
 ifndef KBUILD_EXTMOD
  KBUILD_EXTMOD := $(shell pwd)
 endif
 INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
 INCL    += $(addprefix -I$(KBUILD_EXTMOD)/vboxnetflt,/ /include /r0drv/linux)
 export INCL
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxnetflt),)
 MANGLING := $(KBUILD_EXTMOD)/vboxnetflt/include/VBox/SUPDrvMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h
endif
KFLAGS   := -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 \
	    -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING \
	    -Wno-declaration-after-statement
ifdef VBOX_REDHAT_KABI
 KFLAGS  += -DVBOX_REDHAT_KABI
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 KFLAGS  += -DRT_ARCH_AMD64
else
 KFLAGS  += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
KFLAGS  += -DVBOX_WITH_64_BITS_GUESTS
ifeq ($(BUILD_TYPE),debug)
 KFLAGS  += -DDEBUG -DDEBUG_$(USER) -g
 # IPRT_DEBUG_SEMS indicates thread wrt sems state via the comm field.
 #KFLAGS  += -DIPRT_DEBUG_SEMS
endif

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

MODULE_EXT    := ko
$(MODULE)-y   := $(OBJS)

# build defs
EXTRA_CFLAGS  += -include $(MANGLING) $(INCL) $(KFLAGS) $(KDEBUG)

all: $(MODULE)

obj-m += $(MODULE).o

# OL/UEK: disable module signing for external modules -- we don't have any private key
$(MODULE):
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules

install: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0664 -o root -g root $(MODULE).$(MODULE_EXT) $(MODULE_DIR); \
	PATH="$(PATH):/bin:/sbin" depmod -a; \
	rm -f /etc/vbox/module_not_compiled

install_rpm: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0664 $(MODULE).$(MODULE_EXT) $(MODULE_DIR)

else # eq ($(MAKECMDGOALS),clean)

 ifndef KERN_DIR
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifeq ($(wildcard $(KERN_DIR)/Makefile),)
   KERN_DIR := /usr/src/linux
  endif
 endif
 ifeq ($(wildcard $(KERN_DIR)/Makefile),)

clean:
	find . \( -name \*.o -o -name \*.cmd \) -print0 | xargs -0 rm -f
	rm -rf .tmp_ver* $(MODULE).* Module.symvers Modules.symvers modules.order

 else

clean:
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean

 endif

endif # eq($(MAKECMDGOALS),clean)

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/Python/Makefile ===
## @file
# Windows makefile for Python tools build.
#
# Copyright (c) 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#

!IFNDEF PYTHON_FREEZER_PATH
!ERROR PYTHON_FREEZER_PATH must be defined!
!ENDIF

FREEZE=$(PYTHON_FREEZER_PATH)\FreezePython.exe

MODULES=encodings.cp437,encodings.gbk,encodings.utf_16,encodings.utf_8,encodings.utf_16_le,encodings.latin_1,encodings.ascii

BIN_DIR=$(EDK_TOOLS_PATH)\Bin\Win32

APPLICATIONS=$(BIN_DIR)\build.exe $(BIN_DIR)\GenFds.exe $(BIN_DIR)\Trim.exe $(BIN_DIR)\TargetTool.exe $(BIN_DIR)\GenDepex.exe $(BIN_DIR)\GenPatchPcdTable.exe $(BIN_DIR)\PatchPcdValue.exe $(BIN_DIR)\BPDG.exe $(BIN_DIR)\UPT.exe

COMMON_PYTHON=$(BASE_TOOLS_PATH)\Source\Python\Common\BuildToolError.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\Database.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\DataType.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\DecClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\Dictionary.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\DscClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\EdkIIWorkspace.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\EdkIIWorkspaceBuild.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\EdkLogger.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\FdfClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\FdfParserLite.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\GlobalData.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\Identification.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\InfClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\MigrationUtilities.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\Misc.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\Parsing.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\String.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\TargetTxtClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\ToolDefClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\VpdInfoFile.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\__init__.py \
              $(BASE_TOOLS_PATH)\Source\Python\Common\BuildVersion.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\BuildClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\MetaDataTable.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\MetaFileParser.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\MetaFileTable.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\WorkspaceDatabase.py \
              $(BASE_TOOLS_PATH)\Source\Python\Workspace\__init__.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\AutoGen.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\BuildEngine.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\GenC.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\GenDepex.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\GenMake.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\StrGather.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\UniClassObject.py \
              $(BASE_TOOLS_PATH)\Source\Python\Autogen\__init__.py

UPT_BUILDVERSION_PYTHON=$(BASE_TOOLS_PATH)\Source\Python\UPT\BuildVersion.py
              
all: SetPythonPath $(APPLICATIONS)

SetPythonPath:
  set PYTHONPATH=$(BASE_TOOLS_PATH)\Source\Python

$(BIN_DIR)\build.exe: $(BASE_TOOLS_PATH)\Source\Python\build\build.py $(COMMON_PYTHON)
  @pushd . & @cd build & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) build.py & @popd

$(BIN_DIR)\GenFds.exe: $(BASE_TOOLS_PATH)\Source\Python\GenFds\GenFds.py $(COMMON_PYTHON)
  @pushd . & @cd GenFds & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) GenFds.py & @popd

$(BIN_DIR)\Trim.exe: $(BASE_TOOLS_PATH)\Source\Python\Trim\Trim.py $(COMMON_PYTHON)
  @pushd . & @cd Trim & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) Trim.py & @popd

$(BIN_DIR)\GenDepex.exe: $(BASE_TOOLS_PATH)\Source\Python\AutoGen\GenDepex.py $(COMMON_PYTHON)
  @pushd . & @cd AutoGen & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) GenDepex.py & @popd

$(BIN_DIR)\TargetTool.exe: $(BASE_TOOLS_PATH)\Source\Python\TargetTool\TargetTool.py $(COMMON_PYTHON)
  @pushd . & @cd TargetTool & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) TargetTool.py & @popd

$(BIN_DIR)\GenPatchPcdTable.exe: $(BASE_TOOLS_PATH)\Source\Python\GenPatchPcdTable\GenPatchPcdTable.py $(COMMON_PYTHON)
  @pushd . & @cd GenPatchPcdTable & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) GenPatchPcdTable.py & @popd

$(BIN_DIR)\PatchPcdValue.exe: $(BASE_TOOLS_PATH)\Source\Python\PatchPcdValue\PatchPcdValue.py $(COMMON_PYTHON)
  @pushd . & @cd PatchPcdValue & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) PatchPcdValue.py & @popd

$(BIN_DIR)\BPDG.exe: $(BASE_TOOLS_PATH)\Source\Python\BPDG\BPDG.py $(COMMON_PYTHON)
  @pushd . & @cd BPDG & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) BPDG.py & @popd

$(BIN_DIR)\UPT.exe: $(BASE_TOOLS_PATH)\Source\Python\UPT\UPT.py $(UPT_BUILDVERSION_PYTHON)
  @pushd . & @cd UPT & @$(FREEZE) --include-modules=$(MODULES) --install-dir=$(BIN_DIR) UPT.py & @popd

clean:
cleanall:  
  @del /f /q $(BIN_DIR)\*.pyd $(BIN_DIR)\*.dll
  @for %%i in ($(APPLICATIONS)) do @del /f /q %%i

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/EfiLdrImage/Makefile ===
## @file
# Windows makefile for 'EfiLdrImage' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = EfiLdrImage

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = EfiLdrImage.obj

!INCLUDE ..\Makefiles\ms.app

## virtualbox-lts-wily 4.3.36-dfsg

=== debian/changelog ===
virtualbox-lts-wily (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4) trusty; urgency=medium

  * Use lts-wily stack. Build only guest additions (LP: #1424769).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 14:28:26 +0100

virtualbox (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1) trusty-security; urgency=medium

  * Upload to trusty-security (LP: #1538115)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2016 11:12:59 +0100

virtualbox (4.3.36-dfsg-1+deb8u1) jessie-security; urgency=medium

  * New upstream bugfix release.
    - Addressed CVE-2016-0592, CVE-2016-0495, CVE-2015-8104,
      CVE-2015-7183, CVE-2015-5307

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2016 10:23:11 +0100

virtualbox (4.3.34-dfsg-1+deb8u1) jessie-security; urgency=medium

  * New upstream bugfix release.
    - Addressed CVE-2015-7183

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Nov 2015 14:44:04 +0100

virtualbox (4.3.32-dfsg-1+deb8u2) jessie-security; urgency=medium

  * d/rules: re-enable VBOX_WITH_VMSVGA and
     VBOX_WITH_VMSVGA3D (Closes: #795531).
     - the CVEs are already fixed
     - this patch makes it build more coherently
       with how upstream builds it.
     - the proper patch should be on upstream changeset 57410
       but we don't need it anymore

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Oct 2015 13:58:16 +0100

virtualbox (4.3.32-dfsg-1+deb8u1) jessie-security; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream security release.
    - Addressed CVE-2015-4813 and CVE-2015-4896
  * Use my uid to fix NMU warning
  * Remove pre-depends on dpkg, useless now.

  [ Ritesh Raj Sarraf ]
  * Move virtualbox-dkms | virtualbox-source to Depends,
    needed to fully configure virtualbox kernel module prior
    to reload virtualbox service, avoiding a race condition.
    (Closes: #798527, #798979)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Sep 2015 23:35:08 +0200

virtualbox (4.3.30-dfsg-1+deb8u1) jessie-security; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Imported upstream release.

  [ Gianfranco Costamagna ]
  * Readd again some removed lintian overrides.
  * virtualbox 4.3.30 builds fine with gcc 5.1, removing the
    gcc-4.9 workaround (d/{rules,control})
  * Update copyright file.
  * Patch refresh.
  * Remove some more windows prebuilt files.
  * Add libnotify-bin as runtime-dependency for the x11 package
    (used for notify-send command) (Closes: #792292)
    - Thanks Torquil Macdonald Sørensen for the useful and complete
      bug report.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 14 Jul 2015 15:29:23 +0200

virtualbox (4.3.28-dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #785655).
    - fix for CVE-2015-3456 a.k.a. VENOM (Closes: #785424)
    - patch refresh.
    - remove d/p/37-diff_smap_4.patch.
  * Remove MAKE=kmk on virtualbox{,-guest}-source.files/rules
    (Closes: #785161).
    Upstream doesn't recommend using kmk to build kernel modules.
    this reverts 63fa6b7b86035b53e8d053b894814eccac9ce595
  * Add gbp.conf file.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 May 2015 09:36:52 +0200

virtualbox (4.3.26-dfsg-3) unstable; urgency=medium

  [ Adam Conrad ]
  * Re-work the packaging to account for the kernel modules being shipped in
    the master kernel packages, removing the need for dkms (LP: #1434579):
    - Make the dkms package provide a virtual package matching what the
      kernel packages provide to indicate that they ship the dkms modules.
    - Add an alternate dep from the utils package to the virtual driver.
    - Make the x11 driver package associate with the VGA controller PCI ID.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 22 Apr 2015 16:16:23 +0200

virtualbox (4.3.26-dfsg-2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * remove obsolete lintian overrides.
  * d/p/37-diff_smap_4.patch, cherry-pick upstream patch to fix a kernel
    paging issue (LP: #1437845).

  [ Ritesh Raj Sarraf ]
  * Remove Michael Meskes from uploaders.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 20 Mar 2015 12:02:04 +0100

virtualbox (4.3.26-dfsg-1) experimental; urgency=medium

  * Imported upstream release.
   * Conflict with upstream proprietary packages 4.3 series.
     (LP: #1371287, LP: #1375018, LP: #1385931, LP: #1386328, LP: #1421926)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 17 Mar 2015 08:36:06 +0100

virtualbox (4.3.24-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported upstream release (Closes: #779025).
  * Remove d/p/38-remove-hardcoded-gcc.patch, use --with-gcc and
    --with-g++ configure flags.
  * Remove d/p/37-fix-build.patch, merged upstream.

  [ Ritesh Raj Sarraf ]
  * [3bf4cdd] Add back versioned dependency on gcc multilib

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 04 Mar 2015 17:35:40 +0530

virtualbox (4.3.22-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported Upstream release.
  * Update copyright year.
  * d/p/37-fix-build.patch fix build, following upstream change in
    xorg driver build (thanks to Michael Thayer for the hint and
    the help).
  * Remove old patches.
  * d/p/38-remove-hardcoded-gcc.patch use CC and CXX from d/rules
    until virtualbox is gcc-5 ready.

  [ Ritesh Raj Sarraf ]
  * [1413631] Build with gcc 4 only
  * [f34c886] Add versioned dependency on g++-multilib

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 15 Feb 2015 16:56:09 +0530

virtualbox (4.3.20-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported Upstream release.

  [ Ritesh Raj Sarraf ]
  * Flip build dependency to libcurl4-gnutls-dev

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 03 Dec 2014 09:37:08 +0100

virtualbox (4.3.18-dfsg-3+deb8u3) jessie; urgency=medium

  * d/p/39-crash-raw-mode.patch fix crash in raw mode.


=== debian/control ===
Source: virtualbox-lts-wily
Section: contrib/misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper (>= 9),
               default-jdk,
               dh-python,
               dkms (>= 2.1.1.1),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap (>= 2.8.16),
               iasl,
               imagemagick,
               kbuild (>= 1:0.1.9998svn2695),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libgl1-mesa-dev-lts-wily,
               libglu1-mesa-dev,
               libidl-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt4-dev (>= 4.4.0),
               libqt4-network (>= 4.4.0),
               libqt4-opengl-dev (>= 4.4.0),
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx-cur,
               makeself,
               module-assistant,
               python-dev (>= 2.6.6-3~),
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev-lts-wily,
               xsltproc,
               yasm (>= 0.7.0),
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 3.9.6
Homepage: http://www.virtualbox.org/
Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/virtualbox.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/virtualbox.git

#Package: virtualbox-qt
#Architecture: amd64 i386
#Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#Breaks: virtualbox (<< 4.1.6-dfsg-2~)
#Replaces: virtualbox (<< 4.1.6-dfsg-2~)
#Description: x86 virtualization solution - Qt based user interface
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the Qt based graphical user interface for VirtualBox.
#
#Package: virtualbox
#Architecture: amd64 i386
#Depends: adduser, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules
#Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
#Suggests: vde2, virtualbox-guest-additions-iso
#Conflicts: virtualbox-2.0,
#           virtualbox-2.1,
#           virtualbox-2.2,
#           virtualbox-3.0,
#           virtualbox-3.1,
#           virtualbox-3.2,
#           virtualbox-4.0,
#           virtualbox-4.1,
#           virtualbox-4.2,
#           virtualbox-4.3,
#           virtualbox-5.0
#Description: x86 virtualization solution - base binaries
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the binaries for VirtualBox. Either the virtualbox-dkms
# or the virtualbox-source package is also required in order to compile the
# kernel modules needed for virtualbox. A graphical user interface for
# VirtualBox is provided by the package virtualbox-qt.
#
#Package: virtualbox-dbg
#Section: contrib/debug
#Priority: extra
#Architecture: amd64 i386
#Depends: virtualbox (= ${binary:Version}) | virtualbox-guest-utils (= ${binary:Version}),
#         ${misc:Depends}
#Description: x86 virtualization solution - debugging symbols
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the debugging symbols for VirtualBox.
#
#Package: virtualbox-dkms
#Section: contrib/kernel
#Architecture: all
#Depends: ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module sources for dkms
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module to be
# build with dkms. Kernel sources or headers are required to compile this
# module.
#
#Package: virtualbox-source
#Section: contrib/kernel
#Architecture: all
#Depends: build-essential,
#         bzip2,
#         debhelper (>= 9),
#         kbuild,
#         module-assistant,
#         ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module source
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module.
# The virtualbox package is also required in order to make use of these
# modules. Kernel sources or headers are required to compile this module.
# .
# The source is placed under /usr/src, and after decompression it can
# be built to produce a virtualbox-modules-_KVERS_ providing
# "virtualbox-modules" package.

Package: virtualbox-guest-dkms-lts-wily
Section: contrib/kernel
Architecture: all
Depends: virtualbox-guest-utils-lts-wily (>= ${source:Version}), ${misc:Depends}
XB-Modaliases: ${modaliases}
Replaces: virtualbox-guest-dkms
Provides: virtualbox-guest-modules,
          virtualbox-guest-dkms
Conflicts: virtualbox-guest-dkms
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox-lts-wily guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source-lts-wily
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 9),
         kbuild,
         module-assistant,
         ${misc:Depends}
Replaces: virtualbox-guest-source
Provides: virtualbox-guest-source
Conflicts: virtualbox-guest-source
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11-lts-wily
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         virtualbox-guest-utils-lts-wily (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Replaces: virtualbox-guest-x11
Provides: xorg-driver-video,
          virtualbox-guest-x11
Conflicts: virtualbox-guest-x11
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils-lts-wily
Architecture: amd64 i386
Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
Recommends: virtualbox-guest-dkms-lts-wily (= ${source:Version}) | virtualbox-guest-source-lts-wily (= ${source:Version}) | virtualbox-guest-modules-lts-wily,
            virtualbox-guest-x11-lts-wily (= ${binary:Version})
Replaces: virtualbox-guest-utils
Provides: virtualbox-guest-utils
Conflicts: virtualbox-guest-utils
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source-lts-wily
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms-lts-wily

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest-lts-wily
uname:=virtualbox-guest-utils-lts-wily
uxname:=virtualbox-guest-x11-lts-wily

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

pkgs_xzcompress = $(shell dh_listpackages | grep -v -e source)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

XSERVER_VERSION = 17

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

%:
	dh $@ --with python2,dkms

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)

	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).links.in > debian/$(gdkms).links
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
	dh_install --remaining-packages
ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
endif
ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_link:
	dh_link
	dh_link -p$(uxname) --ignore debian/$(uxname).links \
	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so

override_dh_fixperms:
	dh_fixperms

ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.gc
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbg-package=$(sname)-dbg
	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.gc debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMGC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_builddeb:
	dh_builddeb $(foreach pkg,$(pkgs_xzcompress),-p$(pkg)) -- -Zxz
	dh_builddeb --remaining-packages

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;
